//--------------------------------------------------------------------------
//
//   Copyright (c) 2002, Colin Granville
//
//   All rights reserved.
//
//   Redistribution and use in source and binary forms, with or
//   without modification, are permitted provided that the following 
//   conditions are met:
//
//      * Redistributions of source code must retain the above copyright 
//        notice, this list of conditions and the following disclaimer.
//
//      * Redistributions in binary form must reproduce the above 
//        copyright notice, this list of conditions and the following 
//        disclaimer in the documentation and/or other materials 
//        provided with the distribution.
//
//      * The name Colin Granville may not be used to endorse or promote 
//        products derived from this software without specific prior 
//        written permission.
//
//   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
//   "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
//   LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
//   FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
//   COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
//   INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
//   (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
//   SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
//   HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
//   STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
//   ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED 
//   OF THE POSSIBILITY OF SUCH DAMAGE.
//
//--------------------------------------------------------------------------

#include "UnicodeToAcornMapData.h"

UnicodeToAcornMapData unicodeToAcornLatin1[] =
{
  {0x0020,0x20},
  {0x0021,0x21},
  {0x0022,0x22},
  {0x0023,0x23},
  {0x0024,0x24},
  {0x0025,0x25},
  {0x0026,0x26},
  {0x0027,0x27},
  {0x0028,0x28},
  {0x0029,0x29},
  {0x002A,0x2A},
  {0x002B,0x2B},
  {0x002C,0x2C},
  {0x002D,0x2D},
  {0x002E,0x2E},
  {0x002F,0x2F},
  {0x0030,0x30},
  {0x0031,0x31},
  {0x0032,0x32},
  {0x0033,0x33},
  {0x0034,0x34},
  {0x0035,0x35},
  {0x0036,0x36},
  {0x0037,0x37},
  {0x0038,0x38},
  {0x0039,0x39},
  {0x003A,0x3A},
  {0x003B,0x3B},
  {0x003C,0x3C},
  {0x003D,0x3D},
  {0x003E,0x3E},
  {0x003F,0x3F},
  {0x0040,0x40},
  {0x0041,0x41},
  {0x0042,0x42},
  {0x0043,0x43},
  {0x0044,0x44},
  {0x0045,0x45},
  {0x0046,0x46},
  {0x0047,0x47},
  {0x0048,0x48},
  {0x0049,0x49},
  {0x004A,0x4A},
  {0x004B,0x4B},
  {0x004C,0x4C},
  {0x004D,0x4D},
  {0x004E,0x4E},
  {0x004F,0x4F},
  {0x0050,0x50},
  {0x0051,0x51},
  {0x0052,0x52},
  {0x0053,0x53},
  {0x0054,0x54},
  {0x0055,0x55},
  {0x0056,0x56},
  {0x0057,0x57},
  {0x0058,0x58},
  {0x0059,0x59},
  {0x005A,0x5A},
  {0x005B,0x5B},
  {0x005C,0x5C},
  {0x005D,0x5D},
  {0x005E,0x5E},
  {0x005F,0x5F},
  {0x0060,0x60},
  {0x0061,0x61},
  {0x0062,0x62},
  {0x0063,0x63},
  {0x0064,0x64},
  {0x0065,0x65},
  {0x0066,0x66},
  {0x0067,0x67},
  {0x0068,0x68},
  {0x0069,0x69},
  {0x006A,0x6A},
  {0x006B,0x6B},
  {0x006C,0x6C},
  {0x006D,0x6D},
  {0x006E,0x6E},
  {0x006F,0x6F},
  {0x0070,0x70},
  {0x0071,0x71},
  {0x0072,0x72},
  {0x0073,0x73},
  {0x0074,0x74},
  {0x0075,0x75},
  {0x0076,0x76},
  {0x0077,0x77},
  {0x0078,0x78},
  {0x0079,0x79},
  {0x007A,0x7A},
  {0x007B,0x7B},
  {0x007C,0x7C},
  {0x007D,0x7D},
  {0x007E,0x7E},
  {0x007F,0x7F},
  {0x20A0,0x80},
  {0x0174,0x81},
  {0x0175,0x82},
  {0x0176,0x85},
  {0x0177,0x86},
  {0x2026,0x8C},
  {0x2122,0x8D},
  {0x2030,0x8E},
  {0x2022,0x8F},
  {0x2018,0x90},
  {0x2019,0x91},
  {0x2039,0x92},
  {0x203A,0x93},
  {0x201C,0x94},
  {0x201D,0x95},
  {0x201E,0x96},
  {0x2013,0x97},
  {0x2014,0x98},
  {0x2212,0x99},
  {0x0152,0x9A},
  {0x0153,0x9B},
  {0x2020,0x9C},
  {0x2021,0x9D},
  {0xFB01,0x9E},
  {0xFB02,0x9F},
  {0x00A0,0xA0},
  {0x00A1,0xA1},
  {0x00A2,0xA2},
  {0x00A3,0xA3},
  {0x00A4,0xA4},
  {0x00A5,0xA5},
  {0x00A6,0xA6},
  {0x00A7,0xA7},
  {0x00A8,0xA8},
  {0x00A9,0xA9},
  {0x00AA,0xAA},
  {0x00AB,0xAB},
  {0x00AC,0xAC},
  {0x00AD,0xAD},
  {0x00AE,0xAE},
  {0x00AF,0xAF},
  {0x00B0,0xB0},
  {0x00B1,0xB1},
  {0x00B2,0xB2},
  {0x00B3,0xB3},
  {0x00B4,0xB4},
  {0x00B5,0xB5},
  {0x00B6,0xB6},
  {0x00B7,0xB7},
  {0x00B8,0xB8},
  {0x00B9,0xB9},
  {0x00BA,0xBA},
  {0x00BB,0xBB},
  {0x00BC,0xBC},
  {0x00BD,0xBD},
  {0x00BE,0xBE},
  {0x00BF,0xBF},
  {0x00C0,0xC0},
  {0x00C1,0xC1},
  {0x00C2,0xC2},
  {0x00C3,0xC3},
  {0x00C4,0xC4},
  {0x00C5,0xC5},
  {0x00C6,0xC6},
  {0x00C7,0xC7},
  {0x00C8,0xC8},
  {0x00C9,0xC9},
  {0x00CA,0xCA},
  {0x00CB,0xCB},
  {0x00CC,0xCC},
  {0x00CD,0xCD},
  {0x00CE,0xCE},
  {0x00CF,0xCF},
  {0x00D0,0xD0},
  {0x00D1,0xD1},
  {0x00D2,0xD2},
  {0x00D3,0xD3},
  {0x00D4,0xD4},
  {0x00D5,0xD5},
  {0x00D6,0xD6},
  {0x00D7,0xD7},
  {0x00D8,0xD8},
  {0x00D9,0xD9},
  {0x00DA,0xDA},
  {0x00DB,0xDB},
  {0x00DC,0xDC},
  {0x00DD,0xDD},
  {0x00DE,0xDE},
  {0x00DF,0xDF},
  {0x00E0,0xE0},
  {0x00E1,0xE1},
  {0x00E2,0xE2},
  {0x00E3,0xE3},
  {0x00E4,0xE4},
  {0x00E5,0xE5},
  {0x00E6,0xE6},
  {0x00E7,0xE7},
  {0x00E8,0xE8},
  {0x00E9,0xE9},
  {0x00EA,0xEA},
  {0x00EB,0xEB},
  {0x00EC,0xEC},
  {0x00ED,0xED},
  {0x00EE,0xEE},
  {0x00EF,0xEF},
  {0x00F0,0xF0},
  {0x00F1,0xF1},
  {0x00F2,0xF2},
  {0x00F3,0xF3},
  {0x00F4,0xF4},
  {0x00F5,0xF5},
  {0x00F6,0xF6},
  {0x00F7,0xF7},
  {0x00F8,0xF8},
  {0x00F9,0xF9},
  {0x00FA,0xFA},
  {0x00FB,0xFB},
  {0x00FC,0xFC},
  {0x00FD,0xFD},
  {0x00FE,0xFE},
  {0x00FF,0xFF},
  {-1,-1}
};

UnicodeToAcornMapData unicodeToAcornSymbol[] =
{
  {0x0020,0x20},
  {0x00A0,0x20},
  {0x0021,0x21},
  {0x2200,0x22},
  {0x0023,0x23},
  {0x2203,0x24},
  {0x0025,0x25},
  {0x0026,0x26},
  {0x220B,0x27},
  {0x0028,0x28},
  {0x0029,0x29},
  {0x2217,0x2A},
  {0x002B,0x2B},
  {0x002C,0x2C},
  {0x2212,0x2D},
  {0x002E,0x2E},
  {0x002F,0x2F},
  {0x0030,0x30},
  {0x0031,0x31},
  {0x0032,0x32},
  {0x0033,0x33},
  {0x0034,0x34},
  {0x0035,0x35},
  {0x0036,0x36},
  {0x0037,0x37},
  {0x0038,0x38},
  {0x0039,0x39},
  {0x003A,0x3A},
  {0x003B,0x3B},
  {0x003C,0x3C},
  {0x003D,0x3D},
  {0x003E,0x3E},
  {0x003F,0x3F},
  {0x2245,0x40},
  {0x0391,0x41},
  {0x0392,0x42},
  {0x03A7,0x43},
  {0x0394,0x44},
  {0x2206,0x44},
  {0x0395,0x45},
  {0x03A6,0x46},
  {0x0393,0x47},
  {0x0397,0x48},
  {0x0399,0x49},
  {0x03D1,0x4A},
  {0x039A,0x4B},
  {0x039B,0x4C},
  {0x039C,0x4D},
  {0x039D,0x4E},
  {0x039F,0x4F},
  {0x03A0,0x50},
  {0x0398,0x51},
  {0x03A1,0x52},
  {0x03A3,0x53},
  {0x03A4,0x54},
  {0x03A5,0x55},
  {0x03C2,0x56},
  {0x03A9,0x57},
  {0x2126,0x57},
  {0x039E,0x58},
  {0x03A8,0x59},
  {0x0396,0x5A},
  {0x005B,0x5B},
  {0x2234,0x5C},
  {0x005D,0x5D},
  {0x22A5,0x5E},
  {0x005F,0x5F},
  {0xF8E5,0x60},
  {0x03B1,0x61},
  {0x03B2,0x62},
  {0x03C7,0x63},
  {0x03B4,0x64},
  {0x03B5,0x65},
  {0x03C6,0x66},
  {0x03B3,0x67},
  {0x03B7,0x68},
  {0x03B9,0x69},
  {0x03D5,0x6A},
  {0x03BA,0x6B},
  {0x03BB,0x6C},
  {0x00B5,0x6D},
  {0x03BC,0x6D},
  {0x03BD,0x6E},
  {0x03BF,0x6F},
  {0x03C0,0x70},
  {0x03B8,0x71},
  {0x03C1,0x72},
  {0x03C3,0x73},
  {0x03C4,0x74},
  {0x03C5,0x75},
  {0x03D6,0x76},
  {0x03C9,0x77},
  {0x03BE,0x78},
  {0x03C8,0x79},
  {0x03B6,0x7A},
  {0x007B,0x7B},
  {0x007C,0x7C},
  {0x007D,0x7D},
  {0x223C,0x7E},
  {0x20AC,0xA0},
  {0x03D2,0xA1},
  {0x2032,0xA2},
  {0x2264,0xA3},
  {0x2044,0xA4},
  {0x2215,0xA4},
  {0x221E,0xA5},
  {0x0192,0xA6},
  {0x2663,0xA7},
  {0x2666,0xA8},
  {0x2665,0xA9},
  {0x2660,0xAA},
  {0x2194,0xAB},
  {0x2190,0xAC},
  {0x2191,0xAD},
  {0x2192,0xAE},
  {0x2193,0xAF},
  {0x00B0,0xB0},
  {0x00B1,0xB1},
  {0x2033,0xB2},
  {0x2265,0xB3},
  {0x00D7,0xB4},
  {0x221D,0xB5},
  {0x2202,0xB6},
  {0x2022,0xB7},
  {0x00F7,0xB8},
  {0x2260,0xB9},
  {0x2261,0xBA},
  {0x2248,0xBB},
  {0x2026,0xBC},
  {0xF8E6,0xBD},
  {0xF8E7,0xBE},
  {0x21B5,0xBF},
  {0x2135,0xC0},
  {0x2111,0xC1},
  {0x211C,0xC2},
  {0x2118,0xC3},
  {0x2297,0xC4},
  {0x2295,0xC5},
  {0x2205,0xC6},
  {0x2229,0xC7},
  {0x222A,0xC8},
  {0x2283,0xC9},
  {0x2287,0xCA},
  {0x2284,0xCB},
  {0x2282,0xCC},
  {0x2286,0xCD},
  {0x2208,0xCE},
  {0x2209,0xCF},
  {0x2220,0xD0},
  {0x2207,0xD1},
  {0xF6DA,0xD2},
  {0xF6D9,0xD3},
  {0xF6DB,0xD4},
  {0x220F,0xD5},
  {0x221A,0xD6},
  {0x22C5,0xD7},
  {0x00AC,0xD8},
  {0x2227,0xD9},
  {0x2228,0xDA},
  {0x21D4,0xDB},
  {0x21D0,0xDC},
  {0x21D1,0xDD},
  {0x21D2,0xDE},
  {0x21D3,0xDF},
  {0x25CA,0xE0},
  {0x2329,0xE1},
  {0xF8E8,0xE2},
  {0xF8E9,0xE3},
  {0xF8EA,0xE4},
  {0x2211,0xE5},
  {0xF8EB,0xE6},
  {0xF8EC,0xE7},
  {0xF8ED,0xE8},
  {0xF8EE,0xE9},
  {0xF8EF,0xEA},
  {0xF8F0,0xEB},
  {0xF8F1,0xEC},
  {0xF8F2,0xED},
  {0xF8F3,0xEE},
  {0xF8F4,0xEF},
  {0x232A,0xF1},
  {0x222B,0xF2},
  {0x2320,0xF3},
  {0xF8F5,0xF4},
  {0x2321,0xF5},
  {0xF8F6,0xF6},
  {0xF8F7,0xF7},
  {0xF8F8,0xF8},
  {0xF8F9,0xF9},
  {0xF8FA,0xFA},
  {0xF8FB,0xFB},
  {0xF8FC,0xFC},
  {0xF8FD,0xFD},
  {0xF8FE,0xFE},
  {-1,-1}
};


UnicodeToAcornMapData unicodeToAcornDingbats[] =
{
  {0x0020,0x20},
  {0x00A0,0x20},
  {0x2701,0x21},
  {0x2702,0x22},
  {0x2703,0x23},
  {0x2704,0x24},
  {0x2741,0x25},
  {0x2706,0x26},
  {0x2707,0x27},
  {0x2708,0x28},
  {0x2709,0x29},
  {0x261B,0x2A},
  {0x261E,0x2B},
  {0x270C,0x2C},
  {0x270D,0x2D},
  {0x270E,0x2E},
  {0x270F,0x2F},
  {0x2710,0x30},
  {0x2711,0x31},
  {0x2712,0x32},
  {0x2713,0x33},
  {0x2742,0x34},
  {0x2715,0x35},
  {0x2716,0x36},
  {0x2717,0x37},
  {0x2743,0x38},
  {0x2719,0x39},
  {0x271A,0x3A},
  {0x271B,0x3B},
  {0x271C,0x3C},
  {0x271D,0x3D},
  {0x271E,0x3E},
  {0x271F,0x3F},
  {0x2720,0x40},
  {0x2721,0x41},
  {0x2722,0x42},
  {0x2723,0x43},
  {0x2724,0x44},
  {0x2725,0x45},
  {0x2726,0x46},
  {0x2727,0x47},
  {0x2745,0x48},
  {0x2729,0x49},
  {0x272A,0x4A},
  {0x272B,0x4B},
  {0x272C,0x4C},
  {0x272D,0x4D},
  {0x272E,0x4E},
  {0x272F,0x4F},
  {0x2730,0x50},
  {0x2731,0x51},
  {0x2732,0x52},
  {0x2733,0x53},
  {0x2734,0x54},
  {0x2735,0x55},
  {0x2736,0x56},
  {0x2737,0x57},
  {0x2738,0x58},
  {0x2739,0x59},
  {0x273A,0x5A},
  {0x273B,0x5B},
  {0x273C,0x5C},
  {0x2746,0x5D},
  {0x273E,0x5E},
  {0x273F,0x5F},
  {0x2740,0x60},
  {0x260E,0x61},
  {0x2714,0x62},
  {0x2718,0x63},
  {0x2744,0x64},
  {0x2605,0x65},
  {0x273D,0x66},
  {0x2750,0x67},
  {0x2751,0x68},
  {0x2752,0x69},
  {0x25C6,0x6A},
  {0x27A7,0x6B},
  {0x25CF,0x6C},
  {0x274D,0x6D},
  {0x25A0,0x6E},
  {0x274F,0x6F},
  {0x274A,0x70},
  {0x274B,0x71},
  {0x2749,0x72},
  {0x25B2,0x73},
  {0x25BC,0x74},
  {0x2747,0x75},
  {0x2756,0x76},
  {0x25D7,0x77},
  {0x2758,0x78},
  {0x2759,0x79},
  {0x275A,0x7A},
  {0x275B,0x7B},
  {0x275C,0x7C},
  {0x275D,0x7D},
  {0x275E,0x7E},
  {0xF8DB,0x92},
  {0xF8E0,0x93},
  {0xF8DF,0x94},
  {0xF8E1,0x95},
  {0xF8D7,0x96},
  {0xF8DA,0x97},
  {0xF8DD,0x98},
  {0xF8DE,0x99},
  {0xF8D9,0x9A},
  {0xF8DC,0x9B},
  {0xF8D8,0x9C},
  {0xF8E2,0x9D},
  {0xF8E3,0x9E},
  {0xF8E4,0x9F},
  {0x2761,0xA1},
  {0x2762,0xA2},
  {0x2763,0xA3},
  {0x2764,0xA4},
  {0x2765,0xA5},
  {0x2766,0xA6},
  {0x2767,0xA7},
  {0x2663,0xA8},
  {0x2666,0xA9},
  {0x2665,0xAA},
  {0x2660,0xAB},
  {0x2460,0xAC},
  {0x2461,0xAD},
  {0x2462,0xAE},
  {0x2463,0xAF},
  {0x2464,0xB0},
  {0x2465,0xB1},
  {0x2466,0xB2},
  {0x2467,0xB3},
  {0x2468,0xB4},
  {0x2469,0xB5},
  {0x2776,0xB6},
  {0x2777,0xB7},
  {0x2778,0xB8},
  {0x2779,0xB9},
  {0x277A,0xBA},
  {0x277B,0xBB},
  {0x277C,0xBC},
  {0x277D,0xBD},
  {0x277E,0xBE},
  {0x277F,0xBF},
  {0x2780,0xC0},
  {0x2781,0xC1},
  {0x2782,0xC2},
  {0x2783,0xC3},
  {0x2784,0xC4},
  {0x2785,0xC5},
  {0x2786,0xC6},
  {0x2787,0xC7},
  {0x2788,0xC8},
  {0x2789,0xC9},
  {0x278A,0xCA},
  {0x278B,0xCB},
  {0x278C,0xCC},
  {0x278D,0xCD},
  {0x278E,0xCE},
  {0x278F,0xCF},
  {0x2790,0xD0},
  {0x2791,0xD1},
  {0x2792,0xD2},
  {0x2793,0xD3},
  {0x2794,0xD4},
  {0x2192,0xD5},
  {0x2194,0xD6},
  {0x2195,0xD7},
  {0x2798,0xD8},
  {0x2799,0xD9},
  {0x279A,0xDA},
  {0x279B,0xDB},
  {0x279C,0xDC},
  {0x279D,0xDD},
  {0x279E,0xDE},
  {0x279F,0xDF},
  {0x27A0,0xE0},
  {0x27A1,0xE1},
  {0x27A2,0xE2},
  {0x27A3,0xE3},
  {0x27A4,0xE4},
  {0x27A5,0xE5},
  {0x27A6,0xE6},
  {0x2748,0xE7},
  {0x27A8,0xE8},
  {0x27A9,0xE9},
  {0x27AA,0xEA},
  {0x27AB,0xEB},
  {0x27AC,0xEC},
  {0x27AD,0xED},
  {0x27AE,0xEE},
  {0x27AF,0xEF},
  {0x27B1,0xF1},
  {0x27B2,0xF2},
  {0x27B3,0xF3},
  {0x27B4,0xF4},
  {0x27B5,0xF5},
  {0x27B6,0xF6},
  {0x27B7,0xF7},
  {0x27B8,0xF8},
  {0x27B9,0xF9},
  {0x27BA,0xFA},
  {0x27BB,0xFB},
  {0x27BC,0xFC},
  {0x27BD,0xFD},
  {0x27BE,0xFE},
  {-1,-1}
};
