//--------------------------------------------------------------------------
//
//   Copyright (c) 2002, Colin Granville
//
//   All rights reserved.
//
//   Redistribution and use in source and binary forms, with or
//   without modification, are permitted provided that the following 
//   conditions are met:
//
//      * Redistributions of source code must retain the above copyright 
//        notice, this list of conditions and the following disclaimer.
//
//      * Redistributions in binary form must reproduce the above 
//        copyright notice, this list of conditions and the following 
//        disclaimer in the documentation and/or other materials 
//        provided with the distribution.
//
//      * The name Colin Granville may not be used to endorse or promote 
//        products derived from this software without specific prior 
//        written permission.
//
//   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
//   "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
//   LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
//   FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
//   COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
//   INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
//   (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
//   SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
//   HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
//   STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
//   ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED 
//   OF THE POSSIBILITY OF SUCH DAMAGE.
//
//--------------------------------------------------------------------------

#ifndef UserEvents_h
#define UserEvents_h

#define User_ReadPage                 0x100
#define User_NextPage                 0x101
#define User_PreviousPage             0x102
#define User_HistoryBack              0x103
#define User_HistoryForward           0x104
#define User_RotateView               0x105
#define User_NewView                  0x106
#define User_NextPartPage             0x107
#define User_PreviousPartPage         0x108
#define User_FastNextPage             0x109
#define User_FastPreviousPage         0x10a
#define User_AdjusterClicked          0x10b

#define User_PrintDialogOpen          0x110
#define User_PrintDialogCancel        0x111
#define User_PrintDialogSet           0x112
#define User_PrintDialogPrint         0x113
#define User_PrintDialogFade          0x114
#define User_PrintSide2               0x115
#define User_PrintShowSetup           0x116
#define User_PrintSetSetup            0x117
#define User_PrintSaveSetup           0x118

#define User_BookmarkSelect           0x120
#define User_BookmarkAdjust           0x121

#define User_DisplayMenuATBS          0x130
#define User_HighlightLinks           0x131
#define User_SetNoImages              0x132
#define User_SaveDisplayChoices       0x133
#define User_SetNoText                0x134
#define User_SetNoType3Fonts          0x135
#define User_SetNoDrawings            0x136

#define User_ScaleUp                  0x140
#define User_ScaleDown                0x141
#define User_Scale100                 0x142

#define User_Quit                     0x150

#define User_Find                     0x160
#define User_FindNext                 0x161
#define User_FindPrevious             0x162
#define User_FindATBS                 0x163

#define User_LogicalPageNumberSet     0x170
#define User_LogicalPageNumberATBS    0x171

#define User_Password                 0x180

#define User_ShowHelp                 0x190

#define User_ShowOutline              0x1A0
#define User_GViewPdfFile             0x1A1
#define User_GViewPostscriptFile      0x1A2

#define User_FileInfoATBS             0x1B0
#define User_SaveMenuATBS             0x1B1
#define User_MiscMenuATBS             0x1B2

#endif
